#ifndef __BBBS__
#define __BBBS__

typedef enum {
	RED,
	GREEN,
	BLUE          // note: at vcc < ~2.65V, the blue LED will stop working (its Vf = 3.3V)
} led_state_type; // used for LED multiplexing




void fs_GetVersion(void);

void bbbs_init(void);
void bbbs_mainloop(void);

void LEDMux(void);
void blinky_lights(void);
void blink_led(int ms);

#define DOS_PORT_SPI

#endif /* __BBBS__ */
