#ifndef DOSPORT_SPI_H
#define DOSPORT_SPI_H

unsigned char DOSportGetNotBusy (void);      /* Poll DOSonCHIP for valid response byte */
unsigned char DOSportPutByte (unsigned char txByte); /* Transmit byte to DOSonCHIP */
unsigned char DOSportGetByte (void);         /* Receive byte from DOSonCHIP */
void          DOSportFlushQ (void);          /* Wait until transmit and/or receive queue is empty */
void          DOSportInit (void);            /* Initialize host port */

void SPI_Enable(void);
void SPI_Disable(void);

#endif
