/*******************************************************************************
   Copyright 2008, 2009 Wearable Inc.; An Illinois, United States Corporation

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.
*******************************************************************************/
/*******************************************************************************
   Name:        DOSonCHIP(TM) Physical Communications Port Conditional Compile
   File Name:   DOSport.h
   Description: Select the host communications port via conditional compile.
*******************************************************************************/

/* FILE INCLUDES */
#if defined(DOS_PORT_SPI_BITBANG)
#include "DOSport_SPI_BitBang.h"
#elif defined(DOS_PORT_SPI)
#include "DOSport_SPI.h"
#elif defined(DOS_PORT_UART)
#include "DOSport_UART.h"
#elif !defined(DOS_PORT_ENABLE)
#error Please define a port
#endif

